Bug 1015668 - rtslib should not have support for defeatured fabrics
rtslib should not have support for defeatured fabrics
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: python-rtslib (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Andy Grover
Bruno Goncalves
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-04 15:12 EDT by Andy Grover
Modified: 2014-06-18 01:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:53:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Grover 2013-10-04 15:12:31 EDT
see bug 999074. rhel 7 won't ship with some fabrics' kernel modules, including tcm_vhost. However, "vhost" still shows up in targetcli, but attempts to use it will fail.

It needs to be explicitly disabled in rtslib and then it won't be listed.
Comment 3 Bruno Goncalves 2013-11-01 06:15:13 EDT
Verified, targetcli does not show vhost any more.

rpm -q python-rtslib
python-rtslib-2.1.fb40-1.el7.noarch

rpm -q targetcli
targetcli-2.1.fb30-1.el7.noarch
Comment 4 Ludek Smid 2014-06-13 08:53:39 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.